### Virtual Method

# Gegl MetadataStore pspec

#### Declaration [src]

    GParamSpec*
    pspec (
      GeglMetadataStore* self,
      const gchar* name
    )

#### Description [src]

The pspec virtual method returns the `GParamSpec` used to declare a metadata variable. It is used to implement gegl_metadata_store_typeof_value(). This method MUST be provided by the subclass.

#### Parameters

`name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GParamSpec`

No description available.

The returned data is owned by the instance.